Package org.h2.util

# Class NetworkConnectionInfo

java.lang.Object
org.h2.util.NetworkConnectionInfo

public final class NetworkConnectionInfo extends Object
Network connection information.

## Constructor Summary

Constructors
Constructor
Description
`NetworkConnectionInfo(String server, byte[] clientAddr, int clientPort, String clientInfo)`
Creates new instance of network connection information.
`NetworkConnectionInfo(String server, String clientAddr, int clientPort)`
Creates new instance of network connection information.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClient()`
Returns the client address and port.
`byte[]`
`getClientAddr()`
Returns the client address.
`String`
`getClientInfo()`
Returns additional client information, or `null`.
`int`
`getClientPort()`
Returns the client port.
`String`
`getServer()`
Returns the protocol and port of the server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetworkConnectionInfo

public NetworkConnectionInfo(String server, String clientAddr, int clientPort) throws UnknownHostException
Creates new instance of network connection information.

Parameters:
  `server` - the protocol and port of the server
  `clientAddr` - the client address
  `clientPort` - the client port
Throws:
  `UnknownHostException` - if clientAddr cannot be resolved

### NetworkConnectionInfo

public NetworkConnectionInfo(String server, byte[] clientAddr, int clientPort, String clientInfo)
Creates new instance of network connection information.

Parameters:
  `server` - the protocol and port of the server
  `clientAddr` - the client address
  `clientPort` - the client port
  `clientInfo` - additional client information, or `null`

## Method Details

### getServer

public String getServer()
Returns the protocol and port of the server.

Returns:
  the protocol and port of the server

### getClientAddr

public byte[] getClientAddr()
Returns the client address.

Returns:
  the client address

### getClientPort

public int getClientPort()
Returns the client port.

Returns:
  the client port

### getClientInfo

public String getClientInfo()
Returns additional client information, or `null`.

Returns:
  additional client information, or `null`

### getClient

public String getClient()
Returns the client address and port.

Returns:
  the client address and port